if (SERVER) then

	AddCSLuaFile( "shared.lua" )
resource.AddFile("models/glowstick/v_glowstick.mdl")
resource.AddFile("models/glowstick/stick.mdl")
resource.AddFile("materials/models/glowstick/glow.vtf")
resource.AddFile("materials/models/glowstick/01.vtf")

	SWEP.Weight				= 5
	SWEP.AutoSwitchTo		= true
	SWEP.AutoSwitchFrom		= true
	
	SWEP.HoldType			= "slam"


end

if ( CLIENT ) then

  language.Add ("ent_glowstick_fly'", "Glow Stick")
	SWEP.DrawAmmo			= true
	SWEP.DrawCrosshair		= true
	SWEP.ViewModelFOV		= 56
	SWEP.ViewModelFlip		= false
	SWEP.CSMuzzleFlashes	= false
	
	
	SWEP.PrintName			= "Glow Stick"			
	SWEP.Author				= "Patrick Hunt"
	SWEP.Slot				= 0
	SWEP.SlotPos			= 5
	
end

SWEP.Author			= "Patrick Hunt"
SWEP.Contact		= ""
SWEP.Purpose		= ""
SWEP.Instructions		= ""

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true

SWEP.ViewModel			= "models/glowstick/v_glowstick.mdl"
SWEP.WorldModel			= "models/glowstick/stick.mdl"

SWEP.Primary.ClipSize		= -1
SWEP.Primary.DefaultClip	= -1
SWEP.Primary.Automatic		= false
SWEP.Primary.Ammo			= "none"
SWEP.Primary.Delay		= 1

SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "none"

function SWEP:Think()
end

function SWEP:Initialize()

	if ( SERVER ) then
		self:SetWeaponHoldType( self.HoldType )
	end

end

function SWEP:Deploy()
	self.Weapon:SendWeaponAnim(ACT_VM_DRAW)
if SERVER then
	self.Owner:DrawWorldModel(false)
	self.Owner:DrawWorldModel(false)
-- spawn our new "worldmodel"
local ent = ents.Create("ent_glowstick")
ent:SetOwner(self.Owner) 
ent:SetParent(self.Owner)
ent:SetPos(self.Owner:GetPos())
ent:SetColor(self.Owner:GetColor())
ent:SetMaterial(self.Owner:GetMaterial())
ent:Spawn()

end

end

function SWEP:Reload()
end

function SWEP:PrimaryAttack()
	self.Weapon:SendWeaponAnim( ACT_VM_THROW ) 		// View model animation
	self.Owner:SetAnimation( PLAYER_ATTACK1 )				// 3rd Person Animation
				if SERVER then
					local ent = ents.Create("ent_glowstick_fly")
				
				ent:SetPos(self.Owner:GetShootPos())
				ent:SetAngles(Vector(1,0,0))
				ent:Spawn()
				
				local phys = ent:GetPhysicsObject()
				phys:SetVelocity(self.Owner:GetAimVector() * 1000)
				phys:AddAngleVelocity(Vector(math.random(-1000,1000),math.random(-1000,1000),math.random(-1000,1000)))
			end

end

function SWEP:SecondaryAttack()
	self.Owner:SetAnimation( ACT_ITEM_THROW )
	RunConsoleCommand( "cl_dropstick" )
		local worldmodel = ents.FindInSphere(self.Owner:GetPos(),0.6)
	for k, v in pairs(worldmodel) do 
if v:GetClass() == "ent_glowstick" and v:GetOwner() == self.Owner then
v:Remove()
end
end
	return true
end

function DropStick(ply)
          ply:DropNamedWeapon("weapon_glowstick")
end

concommand.Add("cl_dropstick", DropStick)   

function SWEP:Holster()
	local worldmodel = ents.FindInSphere(self.Owner:GetPos(),0.6)
	for k, v in pairs(worldmodel) do 
if v:GetClass() == "ent_glowstick" and v:GetOwner() == self.Owner then
v:Remove()
end
end
	return true
end

function SWEP:OnRemove()
	return true
end


